Type to search.

Create an Nvidia inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create an inference endpoint to perform an inference task with the nvidia service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform. NOTE: The chat_completion task type only supports streaming and only through the _stream API.

Values: chat_completion completion rerank text_embedding
nvidia_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, nvidia.

Values: nvidia
service_settings object required

Settings used to install the inference model. These settings are specific to the nvidia service.

api_key string required

A valid API key for your Nvidia endpoint. Can be found in API Keys section of Nvidia account settings.

url string

The URL of the Nvidia model endpoint. If not provided, the default endpoint URL is used depending on the task type:

  • For text_embedding task - https://integrate.api.nvidia.com/v1/embeddings.
  • For completion and chat_completion tasks - https://integrate.api.nvidia.com/v1/chat/completions.
  • For rerank task - https://ai.api.nvidia.com/v1/retrieval/nvidia/reranking.
model_id string required

The name of the model to use for the inference task. Refer to the model's documentation for the name if needed. Service has been tested and confirmed to be working with the following models:

  • For text_embedding task - nvidia/llama-3.2-nv-embedqa-1b-v2.
  • For completion and chat_completion tasks - microsoft/phi-3-mini-128k-instruct.
  • For rerank task - nv-rerank-qa-mistral-4b:1. Service doesn't support text_embedding task baai/bge-m3 and nvidia/nvclip models due to them not recognizing the input_type parameter.
max_input_tokens number

For a text_embedding task, the maximum number of tokens per input. Inputs exceeding this value are truncated prior to sending to the Nvidia API.

similarity enum

For a text_embedding task, the similarity measure. One of cosine, dot_product, l2_norm.

Values: cosine dot_product l2_norm

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference ID

task_type enum required

The task type

Values: chat_completion completion rerank text_embedding